> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cache Search

> This endpoint searches across a cached dataset of companies. Whilst this dataset is not updated in real-time, it is possible to search across jurisdictions.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/company/cache-search/{companyName}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/company/cache-search/{companyName}:
    parameters:
      - $ref: '#/components/parameters/companyName'
    get:
      tags:
        - Company Search
      summary: Cache Search
      description: >-
        This endpoint searches across a cached dataset of companies. Whilst this
        dataset is not updated in real-time, it is possible to search across
        jurisdictions.
      operationId: CacheCompanySearch
      responses:
        '200':
          $ref: '#/components/responses/CacheSearch'
components:
  parameters:
    companyName:
      name: companyName
      in: path
      description: Name of the company you are searching for
      required: true
      schema:
        type: string
      example: Kyckr
  responses:
    CacheSearch:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CacheSearchResultsList'
          examples:
            Example:
              $ref: '#/components/examples/CacheSearchResultsList'
  schemas:
    CacheSearchResultsList:
      title: CacheSearchResultsList
      type: object
      properties:
        totalRecordsField:
          type: integer
        totalPagesField:
          type: integer
        currentPageNumberField:
          type: integer
        companiesField:
          type: array
          minItems: 0
          items:
            $ref: '#/components/schemas/CacheSearchResult'
        responseCodeField:
          type: integer
    CacheSearchResult:
      type: object
      properties:
        addressesField:
          type: array
          items:
            $ref: '#/components/schemas/AddressObject'
        codeField:
          type: string
        companyIDField:
          type: string
        legalStatusField:
          type: string
        legalFormField:
          type: string
        nameField:
          type: string
        officialField:
          type: boolean
          deprecated: true
        registrationAuthorityCodeField:
          type: string
        incorporationDateField:
          type: string
        countryISOField:
          type: string
        lastUpdatedField:
          type: string
    AddressObject:
      type: object
      properties:
        countryField:
          type: string
          description: Country
        lineField:
          type: array
          deprecated: true
          items:
            type: object
            deprecated: true
            properties:
              lineField:
                type: string
                deprecated: true
        typeField:
          type: string
          description: Address Type
        typeCodeField:
          type: string
          description: Address Type Code
        addressInOneLineField:
          type: string
          description: Full address concatenated in one line
        addressLine1Field:
          type: string
          description: 1st Line of Address
        addressLine2Field:
          type: string
          description: 2nd Line of Address
        addressLine3Field:
          type: string
          description: 3rd Line of Address
        addressLine4Field:
          type: string
          description: 4th Line of Address
        addressLine5Field:
          type: string
          description: 5th Line of Address
        postcodeField:
          type: string
          description: Postal Code
        cityTownField:
          type: string
          description: City or Town
        regionStateField:
          type: string
          description: Region or State
  examples:
    CacheSearchResultsList:
      value:
        totalRecordsField: 3
        totalPagesField: 1
        currentPageNumberField: 1
        companiesField:
          - addressesField:
              - countryField: FRANCE
                addressInOneLineField: 944 RUE DE L INDUSTRIE, MONTPELLIER, HERAULT, 34070
                addressLine1Field: 944 RUE DE L INDUSTRIE
            codeField: '344439492'
            companyIDField: '344439492'
            legalFormField: Société à responsabilité limitée (sans autre indication)
            legalStatusField: Cessée
            nameField: INFORMA
            officialField: false
            incorporationDateField: '1988-04-11'
            countryISOField: FR
            lastUpdatedField: '2020-03-25T18:51:37+00:00'
          - addressesField:
              - countryField: Belgium
                addressInOneLineField: Halleweg 332, Halle, 1500
                addressLine1Field: Halleweg 332
            codeField: '0437178208'
            companyIDField: '0437178208'
            legalFormField: Société anonyme
            legalStatusField: Situation Normale
            nameField: INFORMA
            officialField: false
            incorporationDateField: '1989-03-30'
            countryISOField: BE
            lastUpdatedField: '2021-06-12T10:25:33+00:00'
          - addressesField: []
            codeField: '07610600000110'
            companyIDField: '07610600000110'
            nameField: JORNAL INFORMA NEGOCIOS LTDA
            officialField: false
            countryISOField: BR
            lastUpdatedField: '2018-08-29T06:42:31+00:00'
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````